using System;

namespace Kvalifikacije_12_18
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int[] a = new int[n];

            string[] st = Console.ReadLine().Split();
            for(int i = 0; i < n; i++)
            {
                a[i] = int.Parse(st[i]);
            }

            for(int i = 0; i < n; i++)
            {
                if (a[i] == k)
                {
                    if (i != n - 1)
                        Console.WriteLine(a[i + 1]);
                    else
                        Console.WriteLine(a[0]);
                }
            }

        }
    }
}